#!/bin/bash -
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH
#===============================================================================
#   SYSTEM REQUIRED:  CentOS-5 (32bit/64bit)CentOS-6 (32bit/64bit)
#   DESCRIPTION:  vsftpd for LAMP
#   AUTHOR: Zhu Maohao.
#   website: http://www.centos.bz/lamp/
#===============================================================================

# Check if user is root
if [ $(id -u) != "0" ]; then
    quit "You must be root to run this script!"
fi
cur_dir=`pwd`	
#download vsftpd
cd $cur_dir
if [ -s vsftpd-2.3.5.tar.gz ]; then
  echo "vsftpd-2.3.5.tar.gz [found]"
  else
  echo "vsftpd-2.3.5.tar.gz not found!!!download now......"
 if ! wget -c http://centos.googlecode.com/files/vsftpd-2.3.5.tar.gz && ! wget -c https://security.appspot.com/downloads/vsftpd-2.3.5.tar.gz;then
 echo "Failed to download vsftpd-2.3.5.tar.gz,please download it to $cur_dir directory manually and rerun the install script."
 exit 1
 fi
fi

#install vsftpd
echo "============================vsftpd install============================================"
cd $cur_dir
tar xzf vsftpd-2.3.5.tar.gz -C $cur_dir/untar/
cd $cur_dir/untar/vsftpd-2.3.5
if [ `getconf WORD_BIT` = '32' ] && [ `getconf LONG_BIT` = '64' ] ; then
sed -i "s/\/lib\/libcap.so.1/\/lib64\/libcap.so.1/g " vsf_findlibs.sh
sed -i "s/\/lib\/libpam.so.0/\/lib64\/libpam.so.0/g " vsf_findlibs.sh
sed -i "s/lib/lib64/g " RedHat/vsftpd.pam
fi
make
make install
cp -f /$cur_dir/conf/vsftpd.conf /etc/vsftpd.conf
cp -f /$cur_dir/conf/vsftpd /etc/rc.d/init.d/vsftpd
chmod +x /etc/rc.d/init.d/vsftpd
cp RedHat/vsftpd.pam /etc/pam.d/ftp
/usr/local/sbin/vsftpd &
sed -i '$a\/usr/local/sbin/vsftpd &' /etc/rc.d/rc.local
sed -i '$a\/sbin/modprobe ip_conntrack_ftp' /etc/rc.d/rc.local
sed -i '$a\/sbin/modprobe ip_nat_ftp' /etc/rc.d/rc.local
/sbin/iptables -A INPUT -p tcp --dport 21 -m state --state NEW -s 0.0.0.0/0 -j ACCEPT
/etc/rc.d/init.d/iptables save
/etc/init.d/iptables restart
/sbin/modprobe ip_conntrack_ftp
/sbin/modprobe ip_nat_ftp
echo "============================vsftpd install completed============================================"
